Bug 226 - file called * is an effective DOS
file called * is an effective DOS
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
Other All
: P2 major
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-15 05:09 UTC by Björn Jacke
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2003-07-15 05:09:36 UTC
when a user creates a file called * on a samba share the whole directory is not
accessible anymore just a filename like _2X68P~X is shown. Same problem with Samba3.
Comment 1 Gerald (Jerry) Carter 2003-07-15 09:23:59 UTC
reported against 2.2.8a initially
Comment 2 Jeremy Allison 2003-07-29 12:18:50 UTC
Errr .Bugzilla screwed up my commit.
I have now fixed this in SAMBA_3_0 CVS.
Jeremy.
Comment 3 Gerald (Jerry) Carter 2005-02-07 08:40:50 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:21:52 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.